Skip to navigation

Update, Add, or Remove Merchant and Beneficiary Details Associated with a Specific Payer ID

View as Markdown
This endpoint can update, add, or remove assignee details of a particular Payer ID.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Query parameters

payerid-numberstringRequired1-35 characters
Unique number assigned for payers and beneficiaries to identify incoming payments.
client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.

Request

Describes the payer ID assignee details for update.
country_codestringRequiredformat: "^[A-Z]{2}$"

The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is DE. For France, it is FR. The list of allowed country codes are:
DE - Germany
FR - France
GB - Great Britain
IE - Ireland
NL - Netherlands
US - United States
CA - Canada
HK - Hong Kong
SG - Singapore
AU - Australia

party_type_detailsenumRequired

Account party type details. Allowed account part type values are:

S - sole trader, which is an enterprise owned or run by a single person.
C - a company that is owned by an organization or business entity

Allowed values:
merchantobjectOptional
beneficiarylist of objectsOptional

Response

Accepted
status_codestring<=20 characters

Status of the request sent as synchronous response to client. Status code will have value as PIPND.

status_descriptionstring<=500 characters

Incoming request acknowledgement message, example as Payer ID Update assignee request is in-progress.

request_idstring<=32 characters

Auto-generated unique identifier assigned for the incoming request.

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error